CRMCompanyCategory
This method will get all CRMCompanyCategory Objects
GET/api/crm/crmcompanycategory
Query parameters
idstring | |
namestring | |
externalDescriptionstring | |
internalDescriptionstring | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of CRMCompanyCategory objectsarray<CRMCompanyCategory>
Show fields (10)
idintegerPrimary key of the company category. Internal ID.
namestringName of the company category.
descriptionstringDescription of the company category.
deletedbooleanThe category is deleted.
global_defaultbooleanDefault category for new companies.
enabled_customer_portalbooleanCompanies of this category may use the customer portal.
g_drive_root_dirstringRoot folder in Google Drive for companies of this category.
g_drive_root_dir_archivedstringRoot folder in Google Drive for archived companies of this category.
require_company_addressbooleanAn address must be entered for companies of this category.
require_company_billingbooleanBilling details must be entered for companies of this category.
Request
curl --request GET \
--url https://your-instance.iw-erp.de/api/crm/crmcompanycategory \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmcompanycategory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmcompanycategory"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/crm/crmcompanycategory', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmcompanycategory"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmcompanycategory")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmcompanycategory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/crm_company_category_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CrmCompanyCategoryController.getAll();
if (result.success) {
print(result.data);
}Response 200 application/json
[
{
"id": 42,
"name": "Beispiel",
"description": "Text",
"deleted": true,
"global_default": true,
"enabled_customer_portal": true,
"g_drive_root_dir": "string",
"g_drive_root_dir_archived": "string",
"require_company_address": true,
"require_company_billing": true
}
]